[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 1/2] spec: collect all BuildRequires into one area



Conditional BuildRequires: should be at the top level, rather
than appearing in conditional sub-package sections.  This
appears to be the only offender.

* libvirt.spec.in (BuildRequires): Move libblkid-devel into
correct area.

Signed-off-by: Eric Blake <eblake redhat com>
---
 libvirt.spec.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/libvirt.spec.in b/libvirt.spec.in
index 328b009..a333f64 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -412,6 +412,10 @@ BuildRequires: gettext
 BuildRequires: libtasn1-devel
 BuildRequires: gnutls-devel
 BuildRequires: libattr-devel
+%if %{with_libvirtd}
+# For pool-build probing for existing pools
+BuildRequires: libblkid-devel >= 2.17
+%endif
 %if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
 # for augparse, optionally used in testing
 BuildRequires: augeas
@@ -655,8 +659,6 @@ Requires: PolicyKit >= 0.6
 Requires: nfs-utils
 # For mkfs
 Requires: util-linux
-# For pool-build probing for existing pools
-BuildRequires: libblkid-devel >= 2.17
 # For glusterfs
         %if 0%{?fedora} >= 11
 Requires: glusterfs-client >= 2.0.1
-- 
1.8.1.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]